#1778 reopened enhancement

mvme5500 BSP: VME uses shared ISR

Reported by: feng1 Owned by: Joel Sherrill
Priority: normal Milestone: 4.9.5
Component: bsps Version: 4.9
Severity: minor Keywords:
Cc: feng1@… Blocked By:
Blocking:

Description

This patch was tested under RTEMS4.9.4 on the mvme5500 BSP.

Attachments (3)

rtems-4.9.4-mvme5500-vme.diff (3.2 KB) - added by feng1 on Apr 14, 2011 at 5:39:49 PM.
The diff file updated the ChangeLog? & vme/VMEConfig.h
rtems4.9.4_mvme5500_05272011.diff (4.6 KB) - added by feng1 on May 30, 2011 at 2:59:20 PM.
VME shared IRQs handler, document, patch for 100 MHz NIC
0001-powerpc-mvme5500-Add-support-for-Altivec-and-fix-var.patch (11.8 KB) - added by Aun-Ali Zaidi on Dec 19, 2015 at 10:33:16 PM.

Download all attachments as: .zip

Change History (13)

Changed on Apr 14, 2011 at 5:39:49 PM by feng1

The diff file updated the ChangeLog? & vme/VMEConfig.h

comment:1 Changed on Apr 14, 2011 at 5:42:19 PM by feng1

Cc: feng1 added
Milestone: 4.114.9

Changed on May 30, 2011 at 2:59:20 PM by feng1

VME shared IRQs handler, document, patch for 100 MHz NIC

comment:2 Changed on May 30, 2011 at 2:59:20 PM by feng1

attachments.isobsolete: 01

comment:3 Changed on Jul 22, 2011 at 10:07:19 AM by feng1

Replying to comment:4:

Did this get merged or overlooked?

I would like to close it if possible.

It is meant for 4.9 branch. Please merge it
if you plan to cut 4.9.6. The same patch
was applied to 4.10 branch via the PR1786
already.

Many thanks,
Kate Feng

comment:4 Changed on Nov 20, 2014 at 3:57:52 AM by Chris Johns

Status: newassigned

comment:5 Changed on Nov 20, 2014 at 3:46:20 PM by Joel Sherrill

The patch for PR1786 should be applied to the 4.9 branch

Last edited on Nov 20, 2014 at 3:46:40 PM by Joel Sherrill (previous) (diff)

comment:6 Changed on Nov 20, 2014 at 3:49:35 PM by Amar Takhar

Milestone: 4.94.9.5

Move to 4.9.5

comment:7 Changed on Dec 19, 2015 at 7:23:42 PM by Aun-Ali Zaidi

Resolution: fixed
Status: assignedclosed

The patch for PR1786 should be applied to the 4.9 branch as it renders this patch obsolete.

comment:8 Changed on Dec 19, 2015 at 7:34:19 PM by Aun-Ali Zaidi

The purpose of this patch was to allow the use of shared IRQ handlers on the VME bus for the MVME5500 BSP.

comment:9 Changed on Dec 19, 2015 at 10:06:57 PM by Aun-Ali Zaidi

The patch on PR1786 will require manual modification before it can be applied to the 4.9 branch, as it contains some additional files and shifted diffs. I have attached an updated diff wth the proper modifications.

comment:10 Changed on Dec 19, 2015 at 10:08:27 PM by Aun-Ali Zaidi

Resolution: fixed
Status: closedreopened
Note: See TracTickets for help on using tickets.